package com.alterdekim.game.controller.result.api;

import com.fasterxml.jackson.annotation.JsonProperty;
import jakarta.persistence.Column;
import lombok.AllArgsConstructor;

@AllArgsConstructor
public class LocationResult {
    @JsonProperty
    private Long id;

    @JsonProperty
    private Long locationId;

    @JsonProperty
    private Long mediaResourceId;

    @JsonProperty
    private Double x;

    @JsonProperty
    private Double y;

    @JsonProperty
    private String name;

    @JsonProperty
    private Boolean isDefault;

    @JsonProperty
    private Boolean isEnabled;
}
