package com.alterdekim.game.service;

import com.alterdekim.flash.decompiler.mapper.OutputObjectCallback;
import com.alterdekim.game.entity.GameIcon;
import com.alterdekim.game.repository.GameIconRepository;
import lombok.Setter;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

@Service
public class GameIconService implements OutputObjectCallback {

    @Autowired
    private GameIconRepository repository;

    @Override
    public void onOutputObjectReady(Object o) {
        this.repository.save((GameIcon) o);
    }
}
